{ lib, pkgs, ... }:

with lib.metacfg;
{

  homebrew = {
    enable = true;
    brews = [
      "libusb"
      "mas"
    ];
    masApps = { };
    onActivation = {
      cleanup = "zap";
      autoUpdate = true;
      upgrade = true;
    };
  };

  metacfg = {
    system.homebrew = enabled;
    suites = {
      common = enabled;
    };
    tools = {
      direnv.enable = true;
      alacritty.enable = true;
    };
  };

  environment.systemPackages = with pkgs; [
    # iterm2
    # azure-cli
    kubectl
    kubectx
    k9s
    attic-client
    ollama
    imagemagick
    gh
    libvirt
    dnsmasq
    virt-manager
    qemu
    claude-code
    nodejs
  ];

  users.users.harald.shell = pkgs.fish;

  system.stateVersion = 4;
}
